class TrainingPlanDetail {
  late int trainingPlanDetailId;
  int? trainingPlanId;
  late int exerciseTypeId;
  late int sort;
  late int set;
  int? repeats;
  double? weight;
  int? restingTime;
  bool? parallel;
  int? dayId;
  String? day;
  String? summary;

  TrainingPlanDetail.fromJson(Map<String, dynamic> json) {
    this.trainingPlanDetailId = json['trainingPlanDetailId'];
    this.trainingPlanId = json['trainingPlanId'];
    this.exerciseTypeId = json['exerciseTypeId'];
    this.sort = json['sort'];
    this.set = json['set'];
    this.repeats = json['repeats'];
    this.weight = json['weight'];
    this.restingTime = json['restingTime'];
    this.parallel = json['parallel'];
    this.dayId = json['dayId'];
  }

  Map<String, dynamic> toJson() => {
        "trainingPlanDetailId": this.trainingPlanDetailId,
        "trainingPlanId": this.trainingPlanId,
        "exerciseType": this.exerciseTypeId,
        "sort": this.sort,
        "repeats": this.repeats,
        "weight": this.weight,
        "restingTime": this.restingTime,
        "parallel": this.parallel,
        "dayId": this.dayId,
        "day": this.day,
        "summary": this.summary,
      };

  @override
  String toString() => this.toJson().toString();
}
