class CustomerTrainingPlanExercise {
  int? customerTrainingPlanExerciseId;
  int? customerTrainingPlanDetailsId;
  int? customerId;
  int? exerciseId;
  double? weight;
  int? repeats;

  CustomerTrainingPlanExercise();

  CustomerTrainingPlanExercise.fromJson(Map json) {
    this.customerTrainingPlanExerciseId = json['customerTrainingPlanExerciseId'];
    this.customerTrainingPlanDetailsId = json['customerTrainingPlanDetailsId'];
    this.customerId = json['customerId'];
    this.exerciseId = json['exerciseId'];
    this.repeats = json['repeats'];
    this.weight = json['weight'];
  }

  Map<String, dynamic> toJson() => {
        "customerTrainingPlanDetailsId": this.customerTrainingPlanDetailsId,
        "customerId": this.customerId,
        "exerciseId": this.exerciseId,
        "weight": this.weight,
        "repeats": this.repeats
      };

  @override
  String toString() => this.toJson().toString();
}
